AS 升级之Gradle's dependency cache may be corrupt问题解决办法

  1. 云栖社区>
  2. 博客>
  3. 正文

AS 升级之Gradle's dependency cache may be corrupt问题解决办法

紫雾凌寒 2017-03-06 19:52:15 浏览213 评论0

摘要: 版权声明:本文为博主原创文章,转载请注明出处http://blog.csdn.net/u013132758。 https://blog.csdn.net/u013132758/article/details/60589629 问题: 今天,发现自己的AndroidStudio可以升级2.3了,于是就兴高采烈的将自己的AndroidStudio由2.2—rc1升级到 2.3 了。

版权声明:本文为博主原创文章,转载请注明出处http://blog.csdn.net/u013132758。 https://blog.csdn.net/u013132758/article/details/60589629

问题:

今天,发现自己的AndroidStudio可以升级2.3了,于是就兴高采烈的将自己的AndroidStudio由2.2—rc1升级到 2.3 了。升级之后本以为终于可以试试了结果让我呆了。出现如下所示的问题:


解决办法:

1、在Windows操作系统中,先删除用户目录下的.gradle文件夹(如下所示)。

2、MAC中应该删除掉Application包下的gradle文件夹,步骤如下所示:



3、删掉上面的gradle文件夹后,重新启动AndroidStudio。此时打开项目会处于referencing状态,这时就是在重新下载gradle文件。这个过程不翻墙的话有点慢。

下好之后就可以了。

终极解决办法:

如果嫌麻烦,可以删掉.gradle文件夹后,再卸掉AndroidStudio,下载最新的AS安装包。






【云栖快讯】一站式开发者服务,海量学习资源免费学  详情请点击

网友评论